
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>android make编译的那些事 / iVAN</title>

    <meta name="description" content="android make编译的那些事 首先要理解编译三个m的含义: m,是make mm ,在编译单一模块的时候可以在当前目录下使用 mmm 编译指定目录 其中mmm后面要跟模块的根目录,不是所有的目录下都有子模块,那些含有Android.mk档案目录才是模块的根目录. 1.单独编译某模块,需要在mmm后面指定模块路径 如:mmm frameworks/base/native/video/jni  2.或者可以跳转到你想编译模块相对应目录下执行&quot;mm&quot;命令.            就可以编译单独的模块,事实上,这 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">android make编译的那些事</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>首先要理解编译三个m的含义:<br />
m，是make<br />
mm ，在编译单一模块的时候可以在当前目录下使用<br />
mmm 编译指定目录</p>
<p>其中mmm后面要跟模块的根目录，不是所有的目录下都有子模块，那些含有Android.mk档案目录才是模块的根目录。</p>
<p>1、单独编译某模块，需要在mmm后面指定模块路径<br />
如：mmm frameworks/base/native/video/jni </p>
<p>2、或者可以跳转到你想编译模块相对应目录下执行“mm”命令。<br />
           就可以编译单独的模块，事实上，这个命令与mmm命令没有本质的区别。</p>
<p>3、用 m 编译全部的模块 <br />
         也可以在src目录下直接执行</p>
<p>修改APK应用：在packages中的应用如果修改后都可以单独编译。先执行 <br />
$. build/envsetup.sh #初始化<br />
$mmm packages/providers/ContactsProvider/<br />
##用mm/mmm来编译生成的.apk并不会打包到system.img中，需要我们手动通过make snod把system文件夹打包为system.img<br />
##可以使用make snod将模块打包到system.img中，也可以使用 adb install *.apk安装<br />
注：通过mmm packages/providers/ContactsProvider/ 编译后的apk在 out/target/product/generic/system/app <br />
这时候通过 adb install out/target/product/generic/system/app/xxx.apk 安装你刚修改过的apk就可以在模拟器上看到你修改的效果了。</p>
<p>修改framework：如果在Contacts.java中修改了，必须重新编译下framework。先执行 <br />
$ . build/envsetup.sh #初始化<br />
#网上有的说要执行 make update-api，实际上直接make PRODUCT-sdk-sdk就可以将修改后的framework编译到sdk中。 #编译framework后，那些修改了的应用可以不用再单独编译了。4～6分钟<br />
$ make PRODUCT-sdk-sdk #重新生成SDK 10~20分钟</p>
<p>不是android的一个，但是经常用。make 2&amp;&gt;txt<br />
将make的信息输出到txt中，如果make &gt; txt则无法输入<br />
Linux Shell 环境中支持输入输出重定向，用符号"&lt;"和"&gt;"来表示。0、1和2分别表示标准输入、标准输出和标准错误信息输出，可以用来指定需要重定向的标准输入或输出<br />
make &amp;&gt;test<br />
表示标准和错误全部输出<br />
4、make -n &amp;&gt;txt<br />
make -n 是现实编译命令，但是不去执行，非常有用<br />
5.显示详细的编译过程信息（ndk）<br />
在definitions.mk中有定义。</p>
<p>ifeq ($(V),1)<br />
hide = $(empty)<br />
else<br />
hide = @<br />
endif</p>
<p>要想把所有的编译命令输出来，只需要先export V=1就可以了。<br />
输出NDK详细log<br />
$NDK/ndk-build V=1 2&gt;&amp;1 | tee log.txt</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:33:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>android make编译的那些事的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA2NeM.html" rel="bookmark">Android反编译看看手Q口令红包的实现原理&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首篇作为开始,先讲讲简单的反编译.反编译通常有几种目的:互相学习.借来用用.嘿嘿(干你,又分为小干干类似微信红包,和大干干改别人的apk帮他上架). 因为没带kvm回来,mbpr屏幕太小,所以下文环境为windows. 一.反编译 让我们从实战开始,先实践一下怎么去反编译一个apk,看看某些功能的实现.毕竟没有实践的原理都是耍流氓. 这里我们保留互相学习的心态,所以是友善的第一种目的,嘻嘻. 1.准备 工具 Apktool jadx(新一代反编译大杀器) 安装包 手机QQ 6.2.3 (目标就设			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YK7dM.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;解决Android Studio编译后安装apk报错：The APK file does not exist on disk</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.错误描述 今天用Android Studio编译应用后安装APK的时候,报错了,错误如下所示: The APK file build\outputs\apk\OYP_2.3.4_I2Base_6476_official_debug.apk does not exist on disk. Error while Installing APK 如下图所示 2.解决方法 1.尝试了Build -&gt; Clean Project再编译,还是无效 2.尝试重启Android Studio无效 然后我去打			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NZaYM.html" rel="bookmark">Mac下设置Android源代码编译环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Mac下编译Android最麻烦的就是设置Android的编译环境了,做完这一步基本上剩下的就是近乎傻瓜式的操作了.说起来也简单就三步,设置大小写敏感的文件系统.安装编译工具.设置文件系统同时能打开的数量. 默认情况下,Mac OS运行在不区分大小写的文件系统上,git对这类型的文件系统支持不太好,有可能会导致git命令运行出错(比如git status).因此,我们推荐在一个区分大小写的文件系统中,做与AOSP相关的操作.这很容易就可以用磁盘映像(disk image)做到,下面会讨论到.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqQxeb.html" rel="bookmark">Android中编译工具链的改动----LLVM份量的增加</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:史宁宁 -----------------------------------------------------------------------------------转载请注明出处---------------------------------------------------------------------------------        最近,Android中的编译工具链发生了改动,这个改动是Android的runtime(也可以说是VM,这两种说法在Google			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7KDop.html" rel="bookmark">android 编译 l mtk-mtk 6580 Android L1 编译报错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mtk 6580 Android L1 编译报错 最近公司要用MTK 6580 5.1进行开发,编译代码的时候出现以下编译错误 target Symbolic: libdl (out/target/product/generic/symbols/system/lib/libdl.so) target Prebuilt: tzdata (out/target/product/generic/obj/ETC/tzdata_intermediates/tzdata) make: *** 没有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4041Nz.html" rel="bookmark">响应事件-android studio编译无错误，运行时显示，但点击button不响应按键事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android studio编译无错误,运行时显示,但点击button不响应按键事件 原因:自从Android 3.2(API 13),screen size也开始跟着设备的横竖切换而改变.这会导致activity重新加载方法:在AndroidManifest.xml里设置的MiniSdkVersion和 TargetSdkVersion属性大于等于13的情况下,如果你想阻止程序在运行时重新加载Activity,除了设 置&quot;&quot;orientation&quot;&quot;,你			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxY2ROp.html" rel="bookmark">android ocr编译及如何使用的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android ocr编译及如何使用的问题 各位大侠,我依据tess-two中的方法进行编译,执行android update project --path .时提示-bash: android: command not found,这个问题应该如何解决?还有现在我把tess-two和eyes-two导入eclipse,但不知道再如何做,麻烦大家给我指导下,谢谢了. 解决方案 新建一个测试工程,将编译好的Library以properties-&gt;android-&gt;add的方式将库添加到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4RXqz.html" rel="bookmark">android studio编译错误 问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android studio编译错误 问题 Error:Execution failed for task ':app:processReleaseResources'. com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command 'C:FAndroidStudioSDKuild-tools22.0.1aapt.exe'' fin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M605Qyz.html" rel="bookmark">配置-Android studio 编译失败</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android studio 编译失败 Gradle的环境变量已经配置了啊,求教这是哪里出了问题呢? 解决方案 提示你资源文件的路径不正确.检查下路径看看. 解决方案二: 要么路径不对,要么gradle中的sdk版本和你用的版本不一致,总之android studio这块挺烦人			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkVyrM.html" rel="bookmark" class="title">软件下载站如何应对迅雷的P2SP流量</a>
					<div>
						中国用户在使用众多类型的下载软件中,使用迅雷软件的用户一定会对迅雷的下载速度印象深刻,普通ADSL线路下,大多数软件或者电影都能达到数百K的下载速度,即使相对冷门的软件也不例外,下载体验远远优于先前流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8xQBp.html" rel="bookmark" class="title">SQL Server日期计算&lpar;收藏&rpar;</a>
					<div>
						server 通常,你需要获得当前日期和计算一些其他的日期,例如,你的程序可能需要判断一个月的第一天或者最后一天.你们大部分人大概都知道怎样把日期进行分割(年.月.日等),然后仅仅用分割出来的年.月. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeVg8b.html" rel="bookmark" class="title">钟表的制作</a>
					<div>
						表框和表格的制作很简单的,呵呵,我主要说说我的as吧画出时针,分针,秒针,按F8将其转换为电影剪辑,分别命名为miao,fen,hour然后在主场景中建立3个动态文本,变量名分别为hours,minu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZr6az.html" rel="bookmark" class="title">使用Outlook 2007轻松管理时间</a>
					<div>
						很多人都有这样的体会,每天工作紧张而忙碌,却又常常被领导突然下达的命令把计划打乱,邮件太多怎么也找不到想要的附件文档,会议前的等待无奈又必须,到了下班时间才想起来还有几项今天必须完成的任务.今天我就来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ballGJz.html" rel="bookmark" class="title">silverlight之 &ndash; Blend之图形按钮&lpar;上&rpar;</a>
					<div>
						上一篇中我们搞定了蓝色按钮的样式,同时准备了很多色板, 1. 我们自己发挥一下再做出一个灰色的按钮: 另外补充一下在编辑模板的时候,发现有的属性是锁定的,由一个黄色的圈框锁着: 这就表示这个属性是由用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2aWVp.html" rel="bookmark" class="title">PS通道混合器的认识</a>
					<div>
						首先我们用红绿蓝三色图来研究 打开通道,可以分别看到在3个通道,因为三种颜色都是255,所以在各自的通道中都显示为白色,CMYK与其相反,跑题了- 下面打开通道混合器,也许很多人会奇怪,什么是输出通道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M917ZkM.html" rel="bookmark" class="title">搜狗输入法的皮肤格式是什么</a>
					<div>
						  搜狗输入法的皮肤格式说明: 1. 皮肤文件为ssf格式,是采用zip压缩格式的文件.可以把皮肤文件的后缀名ssf改成zip,然后解压出来.修改完毕文件之后,还可以压缩成zip格式,再把后缀名zip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWyDLp.html" rel="bookmark" class="title">电脑管家开启QQ使用记录防偷看模式</a>
					<div>
						  首先单击&quot;开始&quot;,在&quot;所有程序&quot;中找到&quot;电脑管家&quot;,并单击打开它,如下图所示. 打开&quot;电脑管家&quot;后.在其左上角如果显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Em5jM.html" rel="bookmark" class="title">360一键重装系统win7 64位系统教程</a>
					<div>
						360重装系统大师3.0以上版本终于支持一键重装Win7 64位系统了,这也意味着,360重装系统大师现在可以支持全系统的Win7版本和XP系统;360重装系统大师的优点是,只要你的电脑还能上网,那就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6VB6b.html" rel="bookmark" class="title">电脑开机为什么经常蓝屏</a>
					<div>
						  1.显卡是不是超频了?降低频率 2.机器整体散热不够,加强散热 3.内存重新插拔 4.硬盘保护 5.系统垃圾多,建议用360安全卫士清理 注册表: regedit msconfig 6.减少开机滚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP892vp.html" rel="bookmark" class="title">【SpringMVC整合MyBatis】RequestMapping注解与controller方法返回值</a>
					<div>
						我们讲解一下之前用的@RequestMapping注解和controller方法返回值 一.@RequestMapping注解作用 1.url映射 定义controller方法对应的url,进行处理器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAgdOM.html" rel="bookmark" class="title">java-具体内容如下，为什么呀？</a>
					<div>
						问题描述 具体内容如下,为什么呀? import java.util.List ;import java.util.ArrayList ;import java.util.Iterator ;publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3D44z.html" rel="bookmark" class="title">《财经》：微博价值重估</a>
					<div>
						在中国互联网的发展史中,曾经出现过几次明显的价值重估,其核心都是相关公司找到了稳定的营收模式,微博是刚刚发生的一个案例 为了介绍微博颇为复杂的商业化工具,新浪微博时尚电商事业部总经理余双每年底都会去深 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YlG4M.html" rel="bookmark" class="title">系统-mac编译hadoop 无法成功啊</a>
					<div>
						问题描述 mac编译hadoop 无法成功啊 64位的系统,安装了 cmake 2.8 ,protoc 2.5 , java版本1.7 ,maven 3.2 总是卡在 hdfs这一步报错,求解救,编译 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqO48b.html" rel="bookmark" class="title">IBM 要关闭 Lotus 品牌 PC时代的软件旗帜谢幕</a>
					<div>
						BM 计划于 12 月 14 日停止使用 Lotus 品牌.Lotus Note 是一款非常流行的协同办公系统,在大型企业尤其是跨国企业中应用非常普及.而 Lotus 是 PC 初期比微软还要牛的软件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NPYqz.html" rel="bookmark" class="title">央视经济半小时：解密商用密码</a>
					<div>
						国家密码局副局长王长喜称,截止到目前,我国共有商用密码生产定点单位263家,销售许可单位399家,从密码算法到芯片到产品再到产品的推广和应用系统,我国商用密码技术已初步形成一个完整的并能产生巨大经济效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLLxNp.html" rel="bookmark" class="title">android 触摸事件 为什么我点一下的时候依次是onDown--&amp;amp&semi;amp&semi;gt&semi;onShowPress--&amp;amp&semi;amp&semi;gt&semi;onLongpress</a>
					<div>
						问题描述 packagecom.wenxiaolang.p141021_01_fling;importandroid.os.Bundle;importandroid.support.v7.app.Ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm4Rrb.html" rel="bookmark" class="title">微博的主要功能及逻辑关系详解&lpar;以新浪微博为例&rpar;</a>
					<div>
						微博的爆发式发展速度不得不引起各界人士的关注,作为产品设计师更应该对新生产物有敏锐的嗅觉,能在最短的时间内了解其产品结构.逻辑关系,还要明白它满足了什么需求.解决了什么问题等,只有对其深入了解,才能在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rBVJz.html" rel="bookmark" class="title">jsTree  父子集问题？</a>
					<div>
						问题描述 jsTree如何设置能够实现:1.选中父级子集不被选中(默认是选中父级子集全部被选中).2.子集全部选中时,父级被选中(默认有该功能):					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Aq9Bz.html" rel="bookmark" class="title">Mr&period;cc：个人站长必须做到全能</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 写在前面: 我们是互联网海洋中的沧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR7W5b.html" rel="bookmark" class="title">Microsoft Deployment Toolkit 2010部署Windows 7之三</a>
					<div>
						一.支持建立和同时打开共享部署(下图中,在E盘的不同目录建立了两个部署共享) 二.支持不同部署共享间对象的鼠标直接拖动.复制粘贴.剪切粘贴. 在上图中,我们可以直接使用鼠标将上面部署共享中http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7WnPp.html" rel="bookmark" class="title">react nati&period;&period;&period;-求助！安装react-native命令行工具</a>
					<div>
						问题描述 求助!安装react-native命令行工具 我运行cmd输入npm install -g react-native-cli之后出来如下图,这是怎么回事,跟Node有关? 解决方案 解决了- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRw7Gp.html" rel="bookmark" class="title">js jsp java-返回时订单状态修改问题</a>
					<div>
						问题描述 返回时订单状态修改问题 A页面显示的是主订单列表.B页面显示相应的子订单的信息.当B页面点击修改订单状态后(异步处理),后台会修改子订单状态,以及相应主订单状态,B页面也会用JS设置B页面订 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX000jp.html" rel="bookmark" class="title">搜狗手机输入法Android平台升级</a>
					<div>
						语音输入畅所欲言 搜狗手机输入法升级 类型:转载 作者:闫瑾 时间:2014-04-30 16:14:31 近日,搜狗手机输入法Android平台升级了最新5.5版本,除去新增微信动态表情.优化滑动手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWwvAM.html" rel="bookmark" class="title">在Vue&period;js中使用Mixin</a>
					<div>
						有一种很常见的情况:有两个非常相似的组件,他们的基本功能是一样的,但他们之间又存在着足够的差异性,此时的你就像是来到了一个分岔路口:我是把它拆分成两个不同的组件呢?还是保留为一个组件,然后通过prop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xEvZb.html" rel="bookmark" class="title">tomcat启动出错页面不能跳转</a>
					<div>
						问题描述 tomcat启动出错页面不能跳转 登陆页面 输入成功可以跳转到登陆成功页面 输入姓名密码错误就提示404错误,不能跳转到重新登陆页面 tomcat提示的错误如下 应该怎么改 解决方案 已经调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYmEab.html" rel="bookmark" class="title">浅谈Ajax和JavaScript的区别&lowbar;AJAX相关</a>
					<div>
						javascript是一种在浏览器端执行的脚本语言,Ajax是一种创建交互式网页应用的开发技术 ,它是利用了一系列相关的技术其中就包括javascript. Javascript是由网景公司开发的一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Yangb.html" rel="bookmark" class="title">ispostback的问题</a>
					<div>
						问题描述 protectedvoidPage_Load(objectsender,EventArgse){if(IsPostBack)PGV1_DataBound();}protectedvoidPG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenWo0b.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;光棍节&rdquo;20元一天租网络女友陪聊引热议</a>
					<div>
						东莞男子光棍节20元一天租网络女友陪聊 &quot;光棍节&quot;20元一天租网络女友陪聊引热议 20元在网上可以租一个&quot;女友&quot;聊天,你愿意吗?昨日,记者在微信朋友圈看到,一名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKAG5z.html" rel="bookmark" class="title">分析中间件在ERP系统中的作用及发展趋势</a>
					<div>
						随着Internet的发展,新一代ERP系统不仅仅是将原有的ERP应用在We b上简单延伸,于是应用服务器成为ERP系统新的中间件需求. 中间件在ERP中的作用 传统的ERP系统从功能上看,有财务管理 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
